Top
120°

Android 4.4 KitKat Must Run On ALL New Handsets, Google Decrees

Know Your Mobile - A leaked document said to be from Google’s Android team outlines some of the company’s expectations for new handsets in 2014. According to the memo, all new Android handsets – be they mid-tier, low-end or high-end – must run the latest build of Android, version 4.4 KitKat.

Read Full Story >>
knowyourmobile.com
The story is too old to be commented.
ajax171680d ago

Now they need to make all bloatware uninstallable and they'd be one step closer to perfection.

Spiewie 1680d ago

Must run it indeed and the updates should be swift for every phone aswell but that's just a dream.